import request from '@/utils/request'

export const getAddress = (params) => request({
  url: 'https://zplma.caimei365.com' + '/address/select',
  method: 'get',
  params
})

export const getProviderList = (params) => request({
  url: '/providers/list',
  method: 'get',
  params
})

export const addProvider = (data) => request({
  url: '/providers/add ',
  method: 'post',
  data
})

export const getProviderDetail = (params) => request({
  url: '/providers/from',
  method: 'get',
  params
})

export const updatedStatus = (data) => request({
  url: `/providers/updateStatus?userIds=${data.userIds}&status=${data.status}`,
  method: 'post',
  data
})

export const selectUploadImage = (data) => request({
  url: '/providers/download/image',
  method: 'post',
  data
})
