import Layout from '@/layout'

export default {
  path: '/mall',
  component: Layout,
  meta: { title: '商城数据分析', icon: 'link' },
  name: 'Mall',
  redirect: '/mall/portrait',
  alwaysShow: true,
  children: [
    {
      path: 'portrait',
      name: 'Portrait',
      meta: { title: '数据分析', icon: 'component' },
      redirect: '/mall/portrait/index',
      component: () => import('@/views/index'),
      children: [
        {
          path: 'index',
          hidden: true,
          component: () => import('@/views/mall-portrait/index.vue'),
          name: 'Index',
          meta: { title: '数据分析', activeMenu: '/mall/portrait' }
        }
      ]
    }
  ]
}
