import request from '@/utils/request'

export const getContractList = (params) => request({
  url: '/providers/contract/list',
  method: 'get',
  params
})

export const addContract = (data) => request({
  url: '/providers/contract/add',
  method: 'post',
  data
})

export const getContractDetail = (params) => request({
  url: '/providers/contract/from',
  method: 'get',
  params
})

